# Wobuzz

Wobuzz is a simple audio player made by The Wobbler.
Currently, it just has really basic features but many more things are planned.

### Features

| Feature       | Description                                                                                                                                                               | State                                                  |
|---------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------|--------------------------------------------------------|
| Playlists     | You can create and load `.m3u` playlists, edit them and they will get stored on the disk automatically.                                                                   | <input type="checkbox" disabled checked /> Implemented |
| Audio effects | Audio effects like normalizing and an equalizer. This can be implemented pretty easily because Wobuzz uses [Pydub](https://pydub.com/), which has these effects built in. | <input type="checkbox" disabled /> Not Implemented     |

## Installation

To install Wobuzz, you firstly have to install the dependencies that can't be installed using pip.
This can be done using:

``` bash
sudo apt install pyqt6-dev-tools xcb libxcb-cursor0 ffmpeg
```

Now you can just clone the repo and let pip install it.

``` bash
git clone https://teapot.informationsanarchistik.de/Wobbl/Wobuzz.git
cd Wobuzz
pip install .
```

## Usage:

``` bash
usage: wobuzz [-h] [-p PLAYLIST_PATH] [TRACKS ...]

A music player made by The Wobbler.

positional arguments:
  TRACKS                Plays audio files the from given paths.

options:
  -h, --help            show this help message and exit
  -p PLAYLIST_PATH, --playlist PLAYLIST_PATH
                        Imports a playlist from the given path.

```